    Polynomial model of order 5.

polynomial

This model can be used with any one-dimensional data set since there are no units on the parameters.

>>> create_model_component("polynomial", "mdl")
>>> print(mdl)

Create a component of the polynomial model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.c0 thawed 1 -3.40282e+38 3.40282e+38 mdl.c1 frozen 0 -3.40282e+38 3.40282e+38 mdl.c2 frozen 0 -3.40282e+38 3.40282e+38 mdl.c3 frozen 0 -3.40282e+38 3.40282e+38 mdl.c4 frozen 0 -3.40282e+38 3.40282e+38 mdl.c5 frozen 0 -3.40282e+38 3.40282e+38 mdl.offset frozen 0 -3.40282e+38 3.40282e+38

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
c0
The constant term.
c1
The amplitude of the (x-offset) term.
c2
The amplitude of the (x-offset)^2 term.
c3
The amplitude of the (x-offset)^3 term.
c4
The amplitude of the (x-offset)^4 term.
c5
The amplitude of the (x-offset)^5 term.
offset
There is a degeneracy between c0 and offset , so it is recommended that at least one of these remains frozen.

Notes

The functional form of the model for points is:

f(x) = sum_(i=0)^(i=8) c_i * (x - offset)^i

and for integrated data sets the low-edge of the grid is used.

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023